diff -Nur madwifi-0.9.3.2-rc1.orig/ath/if_ath.c madwifi-0.9.3.2-rc1/ath/if_ath.c
--- madwifi-0.9.3.2-rc1.orig/ath/if_ath.c	2007-07-29 21:34:33.000000000 +0200
+++ madwifi-0.9.3.2-rc1/ath/if_ath.c	2007-07-29 21:35:51.000000000 +0200
@@ -75,7 +75,7 @@
 #include <net80211/if_llc.h>
 #endif
 
-#define	AR_DEBUG
+#undef	AR_DEBUG
 
 #include "net80211/if_athproto.h"
 #include "if_athvar.h"
@@ -358,7 +358,7 @@
 		ath_keyprint(sc, __func__, ix, hk, mac);	\
 } while (0)
 #else /* defined(AR_DEBUG) */
-#define	IFF_DUMPPKTS(sc, _m)	netif_msg_dumppkts(&sc->sc_ic)
+#define	IFF_DUMPPKTS(sc, _m)		0
 #define	DPRINTF(sc, _m, _fmt, ...)
 #define	KEYPRINTF(sc, k, ix, mac)
 #endif /* defined(AR_DEBUG) */
diff -Nur madwifi-0.9.3.2-rc1.orig/ath_rate/amrr/amrr.c madwifi-0.9.3.2-rc1/ath_rate/amrr/amrr.c
--- madwifi-0.9.3.2-rc1.orig/ath_rate/amrr/amrr.c	2007-02-21 07:46:24.000000000 +0100
+++ madwifi-0.9.3.2-rc1/ath_rate/amrr/amrr.c	2007-07-29 21:35:06.000000000 +0200
@@ -69,7 +69,7 @@
 
 #include "amrr.h"
 
-#define	AMRR_DEBUG
+#undef	AMRR_DEBUG
 #ifdef AMRR_DEBUG
 #define	DPRINTF(sc, _fmt, ...) do {					\
 	if (sc->sc_debug & 0x10)					\
diff -Nur madwifi-0.9.3.2-rc1.orig/ath_rate/onoe/onoe.c madwifi-0.9.3.2-rc1/ath_rate/onoe/onoe.c
--- madwifi-0.9.3.2-rc1.orig/ath_rate/onoe/onoe.c	2007-02-21 07:46:24.000000000 +0100
+++ madwifi-0.9.3.2-rc1/ath_rate/onoe/onoe.c	2007-07-29 21:35:06.000000000 +0200
@@ -65,7 +65,7 @@
 
 #include "onoe.h"
 
-#define	ONOE_DEBUG
+#undef	ONOE_DEBUG
 #ifdef ONOE_DEBUG
 enum {
 	ATH_DEBUG_RATE	= 0x00000010,	/* rate control */
diff -Nur madwifi-0.9.3.2-rc1.orig/ath_rate/sample/sample.c madwifi-0.9.3.2-rc1/ath_rate/sample/sample.c
--- madwifi-0.9.3.2-rc1.orig/ath_rate/sample/sample.c	2007-02-27 18:45:56.000000000 +0100
+++ madwifi-0.9.3.2-rc1/ath_rate/sample/sample.c	2007-07-29 21:35:06.000000000 +0200
@@ -67,7 +67,7 @@
 
 #include "sample.h"
 
-#define	SAMPLE_DEBUG
+#undef	SAMPLE_DEBUG
 #ifdef SAMPLE_DEBUG
 enum {
 	ATH_DEBUG_RATE		= 0x00000010	/* rate control */
diff -Nur madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_proto.c madwifi-0.9.3.2-rc1/net80211/ieee80211_proto.c
--- madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_proto.c	2006-12-08 18:20:08.000000000 +0100
+++ madwifi-0.9.3.2-rc1/net80211/ieee80211_proto.c	2007-07-29 21:35:06.000000000 +0200
@@ -286,6 +286,7 @@
 }
 EXPORT_SYMBOL(ieee80211_aclator_get);
 
+#ifdef IEEE80211_DEBUG
 void
 ieee80211_print_essid(const u_int8_t *essid, int len)
 {
@@ -390,6 +391,7 @@
 	}
 }
 EXPORT_SYMBOL(ieee80211_dump_pkt);
+#endif
 
 int
 ieee80211_fix_rate(struct ieee80211_node *ni, int flags)
diff -Nur madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_var.h madwifi-0.9.3.2-rc1/net80211/ieee80211_var.h
--- madwifi-0.9.3.2-rc1.orig/net80211/ieee80211_var.h	2007-07-25 17:20:59.000000000 +0200
+++ madwifi-0.9.3.2-rc1/net80211/ieee80211_var.h	2007-07-29 21:35:06.000000000 +0200
@@ -37,7 +37,7 @@
 /*
  * Definitions for IEEE 802.11 drivers.
  */
-#define	IEEE80211_DEBUG
+#undef	IEEE80211_DEBUG
 #undef	IEEE80211_DEBUG_REFCNT			/* node refcnt stuff */
 
 #include <net80211/ieee80211_linux.h>
diff -Nur madwifi-0.9.3.2-rc1.orig/tools/do_multi.c madwifi-0.9.3.2-rc1/tools/do_multi.c
--- madwifi-0.9.3.2-rc1.orig/tools/do_multi.c	2007-07-29 21:33:29.000000000 +0200
+++ madwifi-0.9.3.2-rc1/tools/do_multi.c	2007-07-29 21:35:06.000000000 +0200
@@ -9,16 +9,20 @@
 
     progname = basename(argv[0]);
 
+#if 0
     if(strcmp(progname, "80211debug") == 0)
 	ret = a80211debug_init(argc, argv);
+#endif
     if(strcmp(progname, "80211stats") == 0)
 	ret = a80211stats_init(argc, argv);
     if(strcmp(progname, "athchans") == 0)
 	ret = athchans_init(argc, argv);
     if(strcmp(progname, "athctrl") == 0)
 	ret =  athctrl_init(argc, argv);
+#if 0
     if(strcmp(progname, "athdebug") == 0)
 	ret =  athdebug_init(argc, argv);
+#endif
     if(strcmp(progname, "athkey") == 0)
 	ret =  athkey_init(argc, argv);
     if(strcmp(progname, "athstats") == 0)
diff -Nur madwifi-0.9.3.2-rc1.orig/tools/Makefile madwifi-0.9.3.2-rc1/tools/Makefile
--- madwifi-0.9.3.2-rc1.orig/tools/Makefile	2007-07-29 21:33:29.000000000 +0200
+++ madwifi-0.9.3.2-rc1/tools/Makefile	2007-07-29 21:35:06.000000000 +0200
@@ -50,7 +50,7 @@
 	
 ifdef DOMULTI
 OBJS=	do_multi.o athstats.o 80211stats.o athkey.o athchans.o athctrl.o \
-	athdebug.o 80211debug.o wlanconfig.o
+	wlanconfig.o
 ALL=	${OBJS} madwifi_multi
 endif
 
@@ -83,7 +83,7 @@
 	${CC} -c -o do_multi.o -DDOMULTI=1 ${ALL_CFLAGS} do_multi.c
 madwifi_multi:
 	${CC} -o madwifi_multi ${LDFLAGS} ${OBJS}
-	for i in athstats 80211stats athkey athchans athctrl athdebug wlanconfig 80211debug; do \
+	for i in athstats 80211stats athkey athchans athctrl wlanconfig; do \
 	ln -s -f madwifi_multi $$i; \
 	done
 
